package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcWorkDeptDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcWorkDeptMapper {

    List<XhpcWorkDeptDomain> selectListByParams(@Param("params") Map params);

    List<Map<String, Object>> selectMapListByParams(@Param("params") Map params);

    int deleteLogicByPrimaryKey(Long workDeptId);

    int insert(XhpcWorkDeptDomain record);

    XhpcWorkDeptDomain selectDomainByNameAndTenant(@Param("deptName")String deptName, @Param("parentDeptId")Long parentDeptId, @Param("tenantId")String tenantId);

    XhpcWorkDeptDomain selectByPrimaryKey(Long workDeptId);

    int updateByPrimaryKey(XhpcWorkDeptDomain record);

    int updateStatusByPrimaryKey(XhpcWorkDeptDomain record);

    List<XhpcWorkDeptDomain> selectListByParentDeptId(@Param("parentDeptId") Long parentDeptId);
}